Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ABuildGrid

All Superinterfaces:
  AAct, ABuildProjection, ABuildSpace, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  ABuildGridImpl

    public interface ABuildGrid

extends ABuildSpace

A representation of the model object ' ABuild Grid'.

Author:
  Miles Parker

  The following features are supported:

  - `Fill Agent`
See Also:
  `MetaABMActPackage.getABuildGrid()`

Method Summary
`SAgent` | `getFillAgent()` Returns the value of the 'Fill Agent' reference.
`void` | `setFillAgent(SAgent value)` Sets the value of the '`Fill Agent`' reference.

Methods inherited from interface org.metaabm.act.ABuildSpace
`getSpaceType, setSpaceType`

Methods inherited from interface org.metaabm.act.ABuildProjection
`getAgents, getAttributes, getProjection, setProjection`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Method Detail

### getFillAgent

    SAgent getFillAgent()

  Returns the value of the 'Fill Agent' reference.

  If the meaning of the 'Fill Agent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fill Agent' reference.
  See Also:
    `setFillAgent(SAgent)`, `MetaABMActPackage.getABuildGrid_FillAgent()`

### setFillAgent

    void setFillAgent(SAgent value)

  Sets the value of the '`Fill Agent`' reference.

  Parameters:
    `value` - the new value of the 'Fill Agent' reference.
  See Also:
    `getFillAgent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD